<?php
/* Using Direct Object Manager */ 
$objectManager = \Magento\Framework\App\ObjectManager::getInstance();
 $ruleid=array(2,3,4,5); ?>
 <div id="promoonchekout" style="display: none;">
  <h3 class="chek-promo-title">BEST COUPON FOR YOU</h3>
<?php $i=1;
           foreach ($ruleid as $id) {
            $rule = $objectManager->create('Magento\SalesRule\Model\Rule')->load($id);
            $isActive = $rule->getIsActive(); ?>
           
              <div  class="promo_box" >
              <div class="promo_title" style="height: 180px;">
               <div class="coupon_code_box">
               <div class="code-detail"><p><?php echo $rule['coupon_code'];?></p></div>
               <div class="ally-cod"><a id="ic<?php echo $rule['rule_id'];?>" class="applypromo" href="JavaScript:void(0);">APPLY</a></div>
               </div>
               <h3 class="save-ammount"><?php echo $rule['name']?></h3>
               <p><?php echo $rule['description'];?></p>
               
              </div>
            </div>
          
            <?php

          $i++; } ?>
      </div>